"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.run = void 0;
const glob = require("glob");
const fs = require("fs");
const MAGIC = Buffer.from('#PACKv1\n');
function encodeOption(input, output) {
    if (!output) {
        console.error('missing output file');
        return;
    }
    let filePaths;
    try {
        filePaths = glob.sync(input, {
            nodir: true,
        });
    }
    catch (err) {
        console.error(err.message);
        return;
    }
    const bufs = [MAGIC, MAGIC];
    let header = '';
    for (const path of filePaths) {
        if (path === output) {
            continue;
        }
        if (path.startsWith('freecdn-')) {
            continue;
        }
        const data = fs.readFileSync(path);
        bufs.push(data);
        header += path + ':' + data.length + '\n';
    }
    bufs[1] = Buffer.from(header + '\r');
    const buf = Buffer.concat(bufs);
    fs.writeFileSync(output, buf);
}
async function run(args) {
    encodeOption(args.filter, args.output);
}
exports.run = run;
//# sourceMappingURL=cmd-pack.js.map